interfaces Library: KTextEditor::ConfigInterface Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::ConfigInterface Class Reference

This is an interface for accessing the configuration of the Document and Plugin classes. More...

`#include <configinterface.h>`

List of all members.

## Public Member Functions
unsigned int | configInterfaceNumber () const
virtual void | readConfig ()=0
virtual void | writeConfig ()=0
virtual void | readConfig (KConfig *)=0
virtual void | writeConfig (KConfig *)=0
virtual void | readSessionConfig (KConfig *)=0
virtual void | writeSessionConfig (KConfig *)=0
virtual void | configDialog ()=0
## Protected Member Functions
void | setConfigInterfaceDCOPSuffix (const QCString &suffix)
## Friends
class | PrivateConfigInterface

## Detailed Description

This is an interface for accessing the configuration of the Document and Plugin classes.

Definition at line 34 of file configinterface.h.

## Member Function Documentation

virtual void KTextEditor::ConfigInterface::readConfig | ( |  | ) | `[pure virtual]`

| Read/Write the config to the standard place where this editor part saves it config, say: read/save default values for that editor part, which means for all current open documents.

virtual void KTextEditor::ConfigInterface::readConfig | ( | KConfig * |  | ) | `[pure virtual]`

| Read/Write the config of the part to a given kconfig object to store the settings in a different place than the standard.

virtual void KTextEditor::ConfigInterface::readSessionConfig | ( | KConfig * |  | ) | `[pure virtual]`

| Read/Write session config of only this document/view/plugin.

virtual void KTextEditor::ConfigInterface::configDialog | ( |  | ) | `[pure virtual]`

| Shows a config dialog for the part, changes will be applied to the part, but not saved anywhere automagically, call writeConfig to save it.

The documentation for this class was generated from the following files:

- configinterface.h
- configinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:13 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003